#pragma once

#include "Plugin.h"

namespace ffglqs
{

class Source : public Plugin
{
public:
	Source();
	~Source();

	template< typename PluginType >
	static PluginInstance CreatePlugin( ffgl::PluginInfo infos );
};

template< typename PluginType >
inline PluginInstance Source::CreatePlugin( ffgl::PluginInfo infos )
{
	return Plugin::CreatePlugin< PluginType >( infos, ffgl::PluginType::FF_SOURCE );
}

}// namespace ffglqs
